<?php

namespace CouponsPlus\App\Coupon\Tree\Abilities;

use CouponsPlus\Original\Characters\StringManager;
use CouponsPlus\Original\Collections\MappedObject;

interface CardData
{
    public function getID() : string; // unique id for the instance.
    public function getType() : StringManager; //InCategories|UserRole
    public function getOptions() : MappedObject; 
}